Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved]Libknotificationitem blocks kdelibs
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
gentoo_usr
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jun 2007
Posts: 106

PostPosted: Wed Apr 07, 2010 8:00 pm    Post subject: [solved]Libknotificationitem blocks kdelibs Reply with quote

Wenn ich ein "emerge -avuDN world" machen will, kommt die Meldung " libknotifikationitem:4.3 .... is blocking ..kdelibs-4.4.2)
hab natürlich auch emerge --sync und revdep-rebuild durchgeführt. Letzteres bricht aber auch wegen dem blocking ab.
Ich hab libknot... und mimelib unmerged.
Ich hab zwar schon das Problem gegoogelt und auch hier im FOrum geschaut, aber ich komm nicht weiter.


Vielen Dank im Vorraus.
gentoo_usr


Last edited by gentoo_usr on Mon May 17, 2010 5:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Wed Apr 07, 2010 8:59 pm    Post subject: Reply with quote

gentoo_usr wrote:
Wenn ich ein "emerge -avuDN world" machen will, kommt die Meldung " libknotifikationitem:4.3 .... is blocking ..kdelibs-4.4.2)
[....]
Dann hast du vermutlich irgendein Paket im world File welches es bisher nur für/bis kde-4.3 gibt.
und kde4.3 und kde4.4 gleichzeitig geht idR nicht.

Beispiel: Ich hab hier ein aktuelles kde4.4.2 am laufen,
wenn ich da nun zb
Quote:
kde-base/kdessh
Available versions: (4.3) 4.3.3 4.3.5
welches es nur für 4.3 gibt mergen wollen würde, dann erhalte ich genau deinen Block
Code:
$ emerge -pv kdessh

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] kde-base/libknotificationitem-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild  N    ] kde-base/kdessh-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.4.2)
(gekürzt)

Also, finde heraus welches Paket kde-4.3 benötigt und deinstalliere es,
oder bleibe komplett bei kde-4.3
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Thu Apr 08, 2010 6:31 am    Post subject: Reply with quote

Josef.95 wrote:
und kde4.3 und kde4.4 gleichzeitig geht idR nicht.

Code:
quse -D kdeprefix
 global:kdeprefix: Makes a KDE prefixed install into /usr/kde/${SLOT} if enabled or into /usr (FHS compatible) otherwise

Damit sollte es dann gehen.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Fri Apr 09, 2010 2:20 am    Post subject: Reply with quote

@franzf
Ist schon richtig, wenn es denn wirklich sein muss würde es wohl gehen,
doch beachte, die USE="kdeprefix" wurde einst (aus gutem Grund) hart maskiert, ich persönlich würde dem Threadersteller eher nicht empfehlen sie zu demaskieren. (zumindest sollte ihm genau bekannt sein was eine demaskierung bewirkt)
Siehe zb auch: https://bugs.gentoo.org/show_bug.cgi?id=274831
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Fri Apr 09, 2010 7:20 am    Post subject: Reply with quote

OK, das ude.mask war mir jetzt nicht bekannt :)
Ich erinner mich aber an die Startprobleme - da hat es selbst mit USE="-kdeprefix" Probleme gegeben...
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 7:23 am    Post subject: Reply with quote

Hallo,

habe nun gleiches Problem, weil die Version 4.4 aus dem Portage verschwunden ist....wie bekommt man das gelöst...

G. R.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Mon Apr 12, 2010 7:32 am    Post subject: Reply with quote

@Tinitus
ist für kde-4.4 doch gar nicht nötig..
daher gibt es die auch nicht.
Code:
$ eix libknotificationitem
* kde-base/libknotificationitem
     Available versions:  (4.3) 4.3.3 4.3.5
        {aqua debug kdeenablefinal kdeprefix}
     Homepage:            http://www.kde.org/
     Description:         Notification library

Wenn du kde-4.4 nutzen willst dann benötigst du kdelibs:4.4

Evtl. ist es einfacher wenn kde-4.3 erst mal komplett deinstalliert wird.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 8:40 am    Post subject: Reply with quote

Josef.95 wrote:
@Tinitus
ist für kde-4.4 doch gar nicht nötig..
daher gibt es die auch nicht.
Code:
$ eix libknotificationitem
* kde-base/libknotificationitem
     Available versions:  (4.3) 4.3.3 4.3.5
        {aqua debug kdeenablefinal kdeprefix}
     Homepage:            http://www.kde.org/
     Description:         Notification library

Wenn du kde-4.4 nutzen willst dann benötigst du kdelibs:4.4

Evtl. ist es einfacher wenn kde-4.3 erst mal komplett deinstalliert wird.


Hi mein Problem liegt eigentlich genauer hier:

Code:
 emerge kde-base/libknotificationitem -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] kde-base/kde-env-4.4.2 [4.4.1-r2] USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild  N    ] kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf" 13,753 kB
[ebuild  N    ] kde-base/libknotificationitem-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.4.2)
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 12, 2010 8:52 am    Post subject: Reply with quote

Du brauchst libknotificationitem mit kde-4.4 nicht mehr, also warum extra installieren?Wenn das bei einem normalen world-update auftaucht, lass dir doch den tree anzeigen, dann weißt du warum es installiert werden soll:
Code:
emerge -uDNpvt world

Oder warum genau willst du libknotificationitem UND kde-4.4.2 haben?
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Mon Apr 12, 2010 8:53 am    Post subject: Reply with quote

Würde
Code:
equery d libknotificationitem
ausgeben wer immer noch libknotificationitem benötigt?
Deinstalliere die ausgegebenen Pakete
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 9:17 am    Post subject: Reply with quote

Josef.95 wrote:
Würde
Code:
equery d libknotificationitem
ausgeben wer immer noch libknotificationitem benötigt?
Deinstalliere die ausgegebenen Pakete


Hi,

das ist ganz schön viel:

Code:
equery d libknotificationitem
[ Searching for packages depending on libknotificationitem... ]
kde-base/kalzium-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                       (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kcron-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                     (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kephal-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                      (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/khelpcenter-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                           (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/knotify-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                       (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kstars-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                      (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/ktouch-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                      (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kturtle-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                       (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kuser-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                     (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/kwin-4.3.5-r1 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                       (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/libkcddb-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                        (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/libkdeedu-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                         (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/marble-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                      (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/okular-4.3.5 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                      (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
kde-base/pykde4-4.3.5-r1 (!kdeprefix? >=kde-base/libknotificationitem-4.3.5[aqua=,-kdeprefix])
                         (kdeprefix? >=kde-base/libknotificationitem-4.3.5:4.3[aqua=,kdeprefix])
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 12, 2010 9:21 am    Post subject: Reply with quote

Gut, einfach alles deinstallieren. Am besten das alte (in 4.3 geslottete) kde runter.
Code:
emerge -C $(eix --only-names -C kde-base)

Vorher aber aus world die kde-base-Einträge greppen und in eine Datei schreiben, damit du gleich deine alte Installation mit dem neuen kde wiederherstellen kannst.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 9:30 am    Post subject: Reply with quote

franzf wrote:
Gut, einfach alles deinstallieren. Am besten das alte (in 4.3 geslottete) kde runter.
Code:
emerge -C $(eix --only-names -C kde-base)

Vorher aber aus world die kde-base-Einträge greppen und in eine Datei schreiben, damit du gleich deine alte Installation mit dem neuen kde wiederherstellen kannst.


Das bringt es auch nicht...gleicher Fehler kommt wohl von k3b:
Code:

emerge --update --deep world -pvt

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge      ] dev-util/subversion-1.6.9  USE="apache2 bash-completion berkdb doc emacs extras java kde nls perl python webdav-neon -ctypes-python -debug -dso -gnome-keyring -ruby -sasl -test -vim-syntax -webdav-serf"  [0]
[ebuild  N    ]  kde-base/kwalletd-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0]
[nomerge      ] mail-filter/bogofilter-1.2.1  USE="berkdb -sqlite"  [0]
[ebuild     U ]  sci-libs/gsl-1.13-r1 [1.12] USE="-cblas" 2,944 kB [0]
[nomerge      ] dev-python/jinja2-2.3.1  USE="i18n -doc -examples -test"  [0]
[ebuild     U ]  dev-python/Babel-0.9.4 [0.9.3] 1,257 kB [0]
[nomerge      ] app-cdr/k3b-1.91.0_rc2  USE="dvd emovix encode ffmpeg flac handbook lame mad musepack musicbrainz sox taglib vcd vorbis wav (-aqua) -debug (-kdeenablefinal) -sndfile" LINGUAS="de -ast -be -bg -ca -ca@valencia -cs -csb -da -el -en_GB -eo -es -et -eu -fi -fr -ga -gl -he -hi -hne -hr -hu -is -it -ja -km -ko -ku -lt -mai -nb -nds -nl -nn -oc -pa -pl -pt -pt_BR -ro -ru -se -sk -sl -sv -th -tr -uk -zh_CN -zh_TW"  [0]
[ebuild  N    ]  kde-base/libkcddb-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -musicbrainz" 0 kB [0]
[nomerge      ] x11-themes/smplayer-themes-0.1.18  [0]
[ebuild     U ]  media-video/smplayer-0.6.9 [0.6.8] USE="-debug" LINGUAS="de -ar -bg -ca -cs -el -en_US -es -et -eu -fi -fr -gl -hu -it -ja -ka -ko -ku -mk -nl -pl -pt -pt_BR -ro -ru -sk -sl -sr -sv -tr -uk -vi -zh_CN -zh_TW" 1,683 kB [0]
[ebuild     U ] x11-apps/simple-ccsm-0.8.4-r1 [0.8.4] USE="gtk" 0 kB [0]
[ebuild     UD] www-client/seamonkey-1.1.18 [2.0.2] USE="crypt gnome ipv6%* java ldap mozdevelop xinerama%* -debug% -moznocompose -moznoirc -moznomail -moznopango% -moznoroaming -postgres% -xforms% (-alsa%*) (-custom-optimization%) (-dbus%*) (-sqlite%) (-startup-notification%*)" LINGUAS="(-be%) (-ca%) (-cs%) (-de%*) (-en%) (-en_US%) (-es_AR%) (-es_ES%) (-fr%) (-gl%) (-hu%) (-it%) (-ka%) (-lt%) (-nb_NO%) (-nl%) (-pl%) (-pt_PT%) (-ru%) (-sk%) (-sv_SE%) (-tr%)" 36,837 kB [0]
[ebuild     U ] x11-wm/compiz-fusion-0.8.6 [0.8.4] USE="gnome -emerald -kde* -unsupported" 0 kB [0]
[ebuild     U ] sys-devel/bison-2.4.1 [2.3] USE="nls -static" 1,434 kB [0]
[ebuild     U ] x11-plugins/compiz-plugins-extra-0.8.6 [0.8.4-r1] USE="gnome" 2,637 kB [0]
[ebuild     U ] x11-apps/ccsm-0.8.4-r1 [0.8.4] 0 kB [0]
[nomerge      ] x11-apps/simple-ccsm-0.8.4-r1 [0.8.4] USE="gtk"  [0]
[nomerge      ]  dev-python/compizconfig-python-0.8.4  [0]
[nomerge      ]   x11-libs/libcompizconfig-0.8.4  [0]
[ebuild     U ]    x11-wm/compiz-0.8.4-r3 [0.8.4-r2] USE="cairo dbus gnome gtk svg -fuse -kde" 0 kB [0]
[ebuild     U ] x11-plugins/compiz-plugins-main-0.8.6 [0.8.4-r1] USE="gnome" 1,199 kB [0]
[ebuild     U ]  x11-wm/compiz-0.8.6 [0.8.4-r2] USE="cairo dbus gnome gtk svg -fuse -kde" 1,136 kB [0]
[nomerge      ] kde-base/libkcddb-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -musicbrainz"  [0]
[ebuild  N    ]  kde-base/libknotificationitem-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB [0]
[ebuild  N    ]   kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf" 13,753 kB [0]
[ebuild     U ] media-libs/xine-lib-9999 [1.2.9999_p286] USE="X a52 aac aalib alsa dts dvd flac gnome gtk ipv6 jack mad mng nls opengl samba sdl truetype v4l vcd vdr vorbis wavpack xcb xinerama xv (-altivec) -arts -debug -directfb -dxr3 -esd -fbcon -imagemagick -libcaca -mmap -modplug -musepack* -oss -pulseaudio (-real) -speex -theora* (-vidix) (-win32codecs) -xvmc (-vdpau%*)" 0 kB [?=>1]
[ebuild     U ] net-libs/xulrunner-1.9.2.3-r1 [1.9.2.3] USE="alsa dbus gnome java libnotify startup-notification -custom-optimization -debug -system-sqlite -wifi" 0 kB [0]
[nomerge      ] kde-base/kwalletd-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"  [0]
[ebuild  N    ]  kde-base/qimageblitz-0.0.4  USE="mmx sse sse2 -3dnow (-altivec) -debug" 0 kB [0]
[nomerge      ] kde-base/libkcddb-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -musicbrainz"  [0]
[nomerge      ]  kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"  [0]
[ebuild  N    ]   kde-base/automoc-0.9.88  0 kB [0]
[nomerge      ] dev-python/Babel-0.9.4 [0.9.3] [0]
[ebuild     U ]  dev-python/pytz-2010b [2009j] 173 kB [0]
[nomerge      ] media-video/kdenlive-0.7.7.1  USE="(-aqua) -debug (-kdeenablefinal) -semantic-desktop" LINGUAS="de -ca -cs -da -el -es -fi -fr -gl -he -hr -hu -it -nl -pl -pt -pt_BR -ru -sl -tr -uk -zh"  [0]
[nomerge      ]  kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"  [0]
[ebuild     U ]   app-text/aspell-0.60.6-r1 [0.60.6] USE="nls -examples (-gpm%*)" LINGUAS="de -af -be -bg -br -ca -cs -cy -da -el -en -eo -es -et -fi -fo -fr -ga -gl -he -hr -is -it -la% -lt% -nl -no -pl -pt -pt_BR% -ro -ru -sk -sl -sr -sv -uk -vi" 0 kB [0]
[ebuild     U ] sys-apps/coreutils-8.4 [7.5-r1] USE="acl nls unicode%* -caps -gmp (-selinux) -static -vanilla -xattr" 10,300 kB [0]
[nomerge      ] dev-vcs/git-1.6.4.4  USE="bash-completion cgi cvs doc emacs gtk iconv perl subversion threads tk webdav -curl -mozsha1 (-ppcsha1) -xinetd"  [0]
[nomerge      ]  dev-perl/Net-SMTP-SSL-1.01  [0]
[nomerge      ]   dev-perl/IO-Socket-SSL-1.26  USE="-idn"  [0]
[ebuild     U ]    dev-perl/Net-SSLeay-1.36 [1.35] 143 kB [0]
[ebuild     U ] sys-libs/readline-6.1 [6.0_p4] 2,209 kB [0]
[nomerge      ] app-cdr/lightscribe-simplelabeler-1.18.6.1-r2  USE="(multilib)"  [2]
[ebuild    FU ]  dev-libs/liblightscribe-1.18.13.1 [1.18.12.1] USE="(multilib)" 800 kB [2=>3]
[nomerge      ] dev-util/subversion-1.6.9  USE="apache2 bash-completion berkdb doc emacs extras java kde nls perl python webdav-neon -ctypes-python -debug -dso -gnome-keyring -ruby -sasl -test -vim-syntax -webdav-serf"  [0]
[nomerge      ]  kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"  [0]
[ebuild  N    ]   kde-base/kde-env-4.4.2  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB [0]
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.4.2)

Total: 27 packages (19 upgrades, 1 downgrade, 7 new), Size of downloads: 76,497 kB
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 12, 2010 9:33 am    Post subject: Reply with quote

Ist libkcddb denn auch korrekt in deiner package.keywords eingetragen?
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 9:34 am    Post subject: Reply with quote

franzf wrote:
Ist libkcddb denn auch korrekt in deiner package.keywords eingetragen?


Wie müßte das aussehen?

Code:
emerge libkcddb -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] kde-base/kde-env-4.4.2  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild  N    ] kde-base/automoc-0.9.88  0 kB
[ebuild  N    ] kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf" 13,753 kB
[ebuild  N    ] kde-base/libknotificationitem-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild  N    ] kde-base/libkcddb-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -musicbrainz" 0 kB
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.4.2)

Total: 5 packages (5 new), Size of downloads: 13,753 kB
Conflict: 1 block (1 unsatisfied)
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 12, 2010 9:38 am    Post subject: Reply with quote

Tinitus wrote:
Wie müßte das aussehen?

kde-base/libkcddb gibt es immer noch in kde-4.4.2. Da die aber nicht aktualisiert werden soll, gehe ich davon aus, dass du die nicht oder falsch in deiner /etc/portage/package.keywords stehen hast. Oder du hast sie in package.mask maskiert ;)

Und es muss so aussehen, wie die übrigen kde-4.4-Pakete, die du aus Testing unmasked hast.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Mon Apr 12, 2010 9:41 am    Post subject: Reply with quote

franzf wrote:
Tinitus wrote:
Wie müßte das aussehen?

kde-base/libkcddb gibt es immer noch in kde-4.4.2. Da die aber nicht aktualisiert werden soll, gehe ich davon aus, dass du die nicht oder falsch in deiner /etc/portage/package.keywords stehen hast. Oder du hast sie in package.mask maskiert ;)

Und es muss so aussehen, wie die übrigen kde-4.4-Pakete, die du aus Testing unmasked hast.


mmmhhhhh arg....

Danke Dir!

Edit zurück noch einer:


Code:
emerge --update --deep world -pt

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[nomerge      ] dev-util/subversion-1.6.9
[ebuild  N    ]  kde-base/kwalletd-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[nomerge      ] mail-filter/bogofilter-1.2.1
[ebuild     U ]  sci-libs/gsl-1.13-r1 [1.12]
[nomerge      ] dev-python/jinja2-2.3.1
[ebuild     U ]  dev-python/Babel-0.9.4 [0.9.3]
[nomerge      ] x11-themes/smplayer-themes-0.1.18
[ebuild     U ]  media-video/smplayer-0.6.9 [0.6.8]
[ebuild     U ] x11-apps/simple-ccsm-0.8.4-r1 [0.8.4]
[ebuild     UD] www-client/seamonkey-1.1.18 [2.0.2] USE="ipv6%* xinerama%* -debug% -moznopango% -postgres% -xforms%"
[ebuild     U ] x11-wm/compiz-fusion-0.8.6 [0.8.4] USE="-kde*"
[ebuild     U ] sys-devel/bison-2.4.1 [2.3]
[ebuild     U ] x11-plugins/compiz-plugins-extra-0.8.6 [0.8.4-r1]
[ebuild     U ] x11-apps/ccsm-0.8.4-r1 [0.8.4]
[nomerge      ] x11-apps/simple-ccsm-0.8.4-r1 [0.8.4]
[nomerge      ]  dev-python/compizconfig-python-0.8.4
[nomerge      ]   x11-libs/libcompizconfig-0.8.4
[ebuild     U ]    x11-wm/compiz-0.8.4-r3 [0.8.4-r2]
[ebuild     U ] x11-plugins/compiz-plugins-main-0.8.6 [0.8.4-r1]
[ebuild     U ]  x11-wm/compiz-0.8.6 [0.8.4-r2]
[nomerge      ] kde-base/kwalletd-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ]  kde-base/libknotificationitem-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ]   kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"
[ebuild     U ] media-libs/xine-lib-9999 [1.2.9999_p286] USE="-musepack* -theora*"
[nomerge      ] kde-base/kwalletd-4.3.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)"
[ebuild  N    ]  kde-base/qimageblitz-0.0.4  USE="mmx sse sse2 -3dnow (-altivec) -debug"
[nomerge      ] media-video/kdenlive-0.7.7.1
[nomerge      ]  kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"
[ebuild  N    ]   kde-base/automoc-0.9.88
[nomerge      ] dev-python/Babel-0.9.4 [0.9.3]
[ebuild     U ]  dev-python/pytz-2010b [2009j]
[nomerge      ] dev-util/subversion-1.6.9
[nomerge      ]  kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"
[ebuild     U ]   app-text/aspell-0.60.6-r1 [0.60.6] LINGUAS="-la% -lt% -pt_BR%"
[ebuild     U ] sys-apps/coreutils-8.4 [7.5-r1] USE="unicode%*"
[nomerge      ] dev-vcs/git-1.6.4.4
[nomerge      ]  dev-perl/Net-SMTP-SSL-1.01
[nomerge      ]   dev-perl/IO-Socket-SSL-1.26
[ebuild     U ]    dev-perl/Net-SSLeay-1.36 [1.35]
[ebuild     U ] sys-libs/readline-6.1 [6.0_p4]
[nomerge      ] app-cdr/lightscribe-simplelabeler-1.18.6.1-r2
[ebuild    FU ]  dev-libs/liblightscribe-1.18.13.1 [1.18.12.1]
[nomerge      ] gnome-base/gnome-2.26.3
[nomerge      ]  net-voip/ekiga-3.2.6
[nomerge      ]   kde-base/kdelibs-4.4.2  USE="acl alsa bzip2 doc fam handbook mmx nls opengl spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -lzma -openexr -policykit -semantic-desktop -test -zeroconf"
[ebuild  N    ]    kde-base/kde-env-4.4.2  USE="(-aqua) (-kdeenablefinal) (-kdeprefix)"
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.4.2)


Edit2:

kde-base/kwalletd-4.4.2 wird hier noch für Subversion gebraucht dann geht es.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Mon Apr 12, 2010 9:45 am    Post subject: Reply with quote

Selbes Spielchen mit kwalletd :D
Code:

[nomerge      ] kde-base/kwalletd-4.3.5
 ^^^^^^                           ^^^^^
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3649
Location: Germany

PostPosted: Mon Apr 12, 2010 10:09 am    Post subject: Reply with quote

Hehe... prima!

BTW
Eine Möglichkeit, wenn man da mal nicht wirklich mehr durchsieht , wäre das immer noch benötigte Paket zu maskieren, also hier zb
Code:
# echo "kde-base/libknotificationitem:4.3" >> /etc/portage/package.mask
Dann sagt einem portage beim nächsten versuch schon ganz genau wer dieses Paket noch benötigt....
Back to top
View user's profile Send private message
gentoo_usr
Tux's lil' helper
Tux's lil' helper


Joined: 10 Jun 2007
Posts: 106

PostPosted: Mon May 17, 2010 5:21 pm    Post subject: Reply with quote

Ok
habs nun geschafft. Hatte eine ziemlichen Sauhaufen auf dem System. Hab alles auf kde-4.3 gesetzt und dann kde komplett neu gemerged.
So hats funktioniert. VIelen Dank...
mfg
gentoo_usr
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum